--- title: "Get user suspension list" slug: "gamepot-getmemberblocklist" updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/gamepot-getmemberblocklist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get user suspension list Available in Classic and VPC Get the list of suspended users. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v2/memberblock | ### Request headers For information about the headers common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 request headers](/docs/en/gamepot-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `filter` | String | Required | Filtering criteria - Filters by some fields in the response body. - Filters only full matches. - Enter an empty value `{}` if there is no criteria. - Example: `{"member_id":"{User ID}"}`, `{"status":1}`, `{"deleted":true}` | | `sort` | String | Optional | Sort by - Enter in the form of `{Criteria:Method}`. - Criteria: String type fields in the response body. - Method: `-1` \| `1` - `-1`: Descending - `1`: Ascending - e.g., `{"createdAt":"-1"}`: Descending by creation date and time. | | `option` | String | Optional | Additional options: [option](/docs/en/gamepot-getmemberblocklist#option) - e.g., `{"offset":0,"per_page":20}`: Display the first 20 items. | #### `option` The following describes `option`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Integer | Optional | Query start offset - 0-N | | `per_page` | Integer | Optional | Number of items per page - 1-100 | | `count` | Boolean | Optional | Whether to display the total number of response results instead of a list - `true` \| `false` - `true`: Display the total response result count. - `false`: Display the list. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dashboard-api.gamepot.ntruss.com/v2/memberblock?filter=%7B%22member_id%22%3A%2232e19c61-****-****-****-840c4028aa88%22%7D&sort=%7B%22createdAt%22%3A%22-1%22%7D&option=%7B%22count%22%3Afalse%7D' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project ID}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Suspended ID | | `member_id` | String | - | User ID | | `deleted` | Boolean | - | Suspension history deletion status - `true` \| `false` - `true`: Delete - `false`: Not delete | | `type` | String | - | Suspension classification - `manual` \| `autopurchase` - `manual`: Manual - `autopurchase`: Automatic | | `status` | Integer | - | Suspension status - `1` \| `2` - `1`: Enabled - `2`: Disabled (suspension removed) | | `message` | String | - | Reason for suspension - Currently not in use, marked as null | | `messageMulti` | Array | - | Suspension reason multilingual information: [messageMulti](/docs/en/gamepot-getmemberblocklist#messageMulti) | | `startedAt` | String | - | Suspension start date and time - ISO 8601 format | | `endedAt` | String | - | Suspension end date and time - ISO 8601 format | | `createdAt` | String | - | Suspension history creation date and time - ISO 8601 format | | `updatedAt` | String | - | Suspension history modification date and time - ISO 8601 format | | `deletedAt` | String | - | Suspension history deletion date and time - ISO 8601 format | | `category_id` | String | - | Suspension classification ID | #### `messageMulti` The following describes `messageMulti`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `lang` | String | - | Language code | | `value` | String | - | Reason message | | `default` | Boolean | - | Whether it is in default language - `true` \| `false` - `true`: Default language - `false`: Not default language | ### Response status codes For information about the response status codes common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 response status codes](/docs/en/gamepot-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "id": "TWVtYmVyQm******************************************NTc4ODQzYjJj", "member_id": "32e19c61-****-****-****-840c4028aa88", "deleted": false, "type": "manual", "status": 1, "message": null, "messageMulti": [ { "lang": "ko", "value": "12", "default": true } ], "startedAt": "2025-07-23T00:00:00+09:00", "endedAt": "2025-07-25T00:00:00+09:00", "createdAt": "2025-07-24T15:56:33+09:00", "updatedAt": "2025-07-24T15:56:33+09:00", "deletedAt": null, "category_id": "eade0943-****-****-****-f2b5e9852ce4" } ] ```